For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entity users
      • POSTCreate an entity user
      • GETGet current entity user
      • PATCHUpdate current entity user
      • GETGet a role of this entity user
      • GETGet an entity user
      • DELDelete an entity user
      • PATCHUpdate an entity user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity users

Get current entity user

GET
/entity_users/me
GET
/v1/entity_users/me
$curl https://api.sandbox.monite.com/v1/entity_users/me \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "login": "caseyp",
6 "role_id": "role_id",
7 "status": "active",
8 "email": "email",
9 "first_name": "Casey",
10 "last_name": "last_name",
11 "phone": "phone",
12 "userpic_file_id": "userpic_file_id"
13}

The user ID is inferred fron the Authorization header, which must contain a user-level access token.

Was this page helpful?
Previous

Update current entity user

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Response

Successful Response
idstringformat: "uuid"

A unique Monite-assigned ID of this entity user. Can be used with POST /auth/token to generate an API access token for this user.

created_atdatetime
UTC date and time when this user was created in Monite.
updated_atdatetime
UTC date and time when this user was last updated.
loginstring

The username assigned to this user. Usernames must be unique within the entity.

The login value is not used by Monite but may be used by partner applications, for example, to map the users between the partner’s platform and Monite.

role_idstringformat: "uuid"

ID of the role assigned to this user. The role defines the user’s access permissions within the entity. Each user has just one role.

statusenum

The user’s status. Always active.

Allowed values:
emailstringformat: "email"
The user's business email address.
first_namestring
The user's first name.
last_namestring
The user's last name.
phonestring
The user's phone number.
userpic_file_idstringformat: "uuid"

Unused. Reserved for future use. Currently always returns null.

Errors

400
Get Entity Users Me Request Bad Request Error
401
Get Entity Users Me Request Unauthorized Error
422
Get Entity Users Me Request Unprocessable Entity Error
429
Get Entity Users Me Request Too Many Requests Error